package types

import (
	"time"

	"gorm.io/gorm"
)

type Paquete struct {
	NroPaquete      string `gorm:"primarykey"`
	OrdenProduccion int    `gorm:"index"`
	OrdenCliente    int    `gorm:"index"`
	Producto        string `gorm:"index"`
	Colada          string
	Calidad         string
	Matnr           string
	Operador        string
	Turno           string `gorm:"index"`
	Longitud        float64
	Barras          uint8
	Peso            float64
	PesoTeorico     float64
	Normed          string
	Norpro          string
	Nortol          string
	DesvioPeso      float64
	Confirmado      bool
	Procesado       bool
	Observaciones   string
	Reclasificado   bool
	CreatedAt       time.Time `gorm:"index"`
	UpdatedAt       time.Time
	DeletedAt       gorm.DeletedAt `gorm:"index"`
}

func (Paquete) TableName() string {
	return "paquetes"
}
